#	$Id: bt.dep.mk,v 1.5 2002/09/10 19:03:24 jmmv Exp $
#	$NetBSD: bsd.dep.mk,v 1.35 2002/06/04 21:22:54 thorpej Exp $

# --------------------------------------------------------------------
# Targets and variables
# --------------------------------------------------------------------

real-depend:	pre-depend .depend post-depend
.ORDER:		pre-depend .depend post-depend

pre-depend .depend post-depend: # ensure existence

BT_FILES_CLEANDIR+= .depend

# Command to run bt_mkdep
_CMD_MKDEP?=	${BTOWN_DIR_MODS}/bt_mkdep -c ${BT_PROG_CC} -a


# --------------------------------------------------------------------
# Build rule
# --------------------------------------------------------------------

.if defined(BT_SRCS)
.NOPATH:	.depend
.depend: ${BT_SRCS} ${BT_DEPSRCS}
	@rm -f .depend
	@files="${.ALLSRC:M*.c}"; \
	if [ "$$files" != "" ]; then \
	    echo ${_CMD_MKDEP} \
	        ${BT_FLAGS_CC:M-[ID]*:Q} ${BT_FLAGS_CPP:Q} $$files; \
	    __BUILDTOOL=yes ${_CMD_MKDEP} \
	        ${BT_FLAGS_CC:M-[ID]*} ${BT_FLAGS_CPP} $$files; \
	fi
	@files="${.ALLSRC:M*.cc} ${.ALLSRC:M*.cpp}"; \
	if [ "$$files" != " " ]; then \
	    echo ${_CMD_MKDEP} \
	        ${BT_CXXFLAGS:M-[ID]*:Q} ${BT_FLAGS_CPP:Q} $$files; \
	    __BUILDTOOL=yes ${_CMD_MKDEP} \
	        ${BT_CXXFLAGS:M-[ID]*} ${BT_FLAGS_CPP} $$files; \
	fi
.endif # defined(BT_SRCS)
